RHEL 7: httpd (RHSA-2020: 3958)

high Nessus プラグイン ID 141040
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

リモートのRedhat Enterprise Linux 7ホストにインストールされているパッケージは、RHSA-2020: 3958のアドバイザリ。

- httpd: ファイル名のtrailing newlineを使用したバイパス(CVE-2017-15715)

- httpd: mod_sessionでヘッダーが不適切に処理されるため、リモートのユーザーがCGIアプリケーションのセッションデータを変更する可能性があります(CVE-2018-1283)

- httpd: mod_cache_socacheでの領域外読み取りによってリモートの攻撃者がDoSを引き起こす可能性があります(CVE-2018-1303)

- httpd: mod_rewriteの潜在的なオープンリダイレクト(CVE-2019-10098)

- httpd: mod_rewriteの構成がオープンリダイレクトに脆弱です(CVE-2020-1927)

- httpd: 初期化されていない値のmod_proxy_ftp使用(CVE-2020-1934)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://cwe.mitre.org/data/definitions/20.html

https://cwe.mitre.org/data/definitions/125.html

https://cwe.mitre.org/data/definitions/456.html

https://cwe.mitre.org/data/definitions/601.html

https://cwe.mitre.org/data/definitions/787.html

https://access.redhat.com/security/cve/CVE-2017-15715

https://access.redhat.com/security/cve/CVE-2018-1283

https://access.redhat.com/security/cve/CVE-2018-1303

https://access.redhat.com/security/cve/CVE-2019-10098

https://access.redhat.com/security/cve/CVE-2020-1927

https://access.redhat.com/security/cve/CVE-2020-1934

https://access.redhat.com/errata/RHSA-2020:3958

https://bugzilla.redhat.com/1560395

https://bugzilla.redhat.com/1560399

https://bugzilla.redhat.com/1560614

https://bugzilla.redhat.com/1743959

https://bugzilla.redhat.com/1820761

https://bugzilla.redhat.com/1820772

プラグインの詳細

深刻度: High

ID: 141040

ファイル名: redhat-RHSA-2020-3958.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2020/9/29

更新日: 2021/10/12

依存関係: ssh_get_info.nasl, redhat_repos.nasl

リスク情報

CVSS スコアのソース: CVE-2017-15715

VPR

リスクファクター: High

スコア: 7.4

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5.3

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.1

Temporal Score: 7.3

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:redhat:enterprise_linux:7, p-cpe:/a:redhat:enterprise_linux:httpd, p-cpe:/a:redhat:enterprise_linux:httpd-devel, p-cpe:/a:redhat:enterprise_linux:httpd-manual, p-cpe:/a:redhat:enterprise_linux:httpd-tools, p-cpe:/a:redhat:enterprise_linux:mod_ldap, p-cpe:/a:redhat:enterprise_linux:mod_proxy_html, p-cpe:/a:redhat:enterprise_linux:mod_session, p-cpe:/a:redhat:enterprise_linux:mod_ssl

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2020/9/29

脆弱性公開日: 2018/3/21

参照情報

CVE: CVE-2017-15715, CVE-2018-1283, CVE-2018-1303, CVE-2019-10098, CVE-2020-1927, CVE-2020-1934

BID: 103520, 103522, 103525

RHSA: 2020:3958

IAVA: 2018-A-0089-S

CWE: 20, 125, 456, 601, 787